import { ComponentPublicInstance, ExtractPropTypes, MaybeRefOrGetter, PropType, Slot } from 'vue';
export declare const vuejsCodeBlockProps: () => {
    readonly code: {
        readonly type: PropType<string>;
        readonly required: true;
    };
};
export type InnerVueToPrintProps = ExtractPropTypes<ReturnType<typeof vuejsCodeBlockProps>>;
export type VuejsCodeBlock = {
    default: Slot;
    trigger: Slot;
};
export type VuejsCodeBlockExpose = {};
export type VuejsCodeBlockInstance = ComponentPublicInstance<InnerVueToPrintProps, VuejsCodeBlockExpose>;
export interface UseVuejsCodeBlockProps {
    code: MaybeRefOrGetter<string>;
}
export type PublicVuejsCodeBlockProps = Partial<Omit<UseVuejsCodeBlockProps, 'code'>> & Pick<UseVuejsCodeBlockProps, 'code'>;
export type PropertyFunction<T> = () => T;
